the proxy should not consider dhcp leases as conflicts
Status: Closed   
Assignee: Ohad Levy   

Category: DHCP   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

if a host already requested a dhcp lease, the proxy would respond with a conflict (reservation already exist).

this is wrong, and totally breaks foreman from creating new hosts who have a valid lease on the dhcp server

Associated revisions

Revision c0a02816 - 01/09/2012 10:40 AM - Ohad Levy

fixes #1438 - the proxy should not consider dhcp leases as conflicts

History

#1 - 01/09/2012 10:41 AM - Ohad Levy

- Subject changed from the proxy should not thread dhcp leases as conflicts to the proxy should not consider dhcp leases as conflicts

#2 - 01/10/2012 03:43 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset c0a02816158bf6861930ed480bd14b2ec0a05a2d.
